# To make local overrides copy this file to:
# docker-compose.override.yml
version: '3.6'
services:

# Backend guys who want to touch their .tt files
# and stuf in share
  backend:
#   environment:
#     - "BAG_ES_HOSTS=es-bag:9200"
    volumes:
#     Use a different config for docker
#     - "./etc/zaaksysteem-docker.conf:/etc/zaaksysteem/zaaksysteem.conf"
#     Mount local stuff so we don't need to rebuild docker for .tt changes
      - "./share:/opt/zaaksysteem/share"
      - "./root:/opt/zaaksysteem/root"
# This can be used to make "BIL" (login on other instances through control panel) work:
#      - "/etc/ssl/certs/development.pem:/etc/ssl/certs/zaaksysteem.crt"

# When developing on a Python service:
#    httpd-admin:
#        build:
#            context: "../zsnl-admin-http"
#            dockerfile: "Dockerfile"
#            target: "development"

# frontend-mono:
#     build:
#         context: "../zaaksysteem-frontend-mono"
#         target: "development"
#     environment:
#         - DOCKER=true
#     volumes:
#         - ../zaaksysteem-frontend-mono:/opt/zaaksysteem-frontend-mono
#         - ../zaaksysteem-frontend-mono/nginx/nginx-development.conf:/etc/nginx/nginx.conf
#         - /opt/zaaksysteem-frontend-mono/node_modules
#     depends_on:
#         - frontend
#     command: nginx -g 'daemon off;'

  frontend:
    build:
      target: "npm-development"
    environment:
      - "CONNECTION_PER_INSTANCE_LIMIT=20"
    ports:
      - "9090:9090"
      - "9091:9091"
#     If you want port 80 to be available from the host (for security testing reasons):
#     - "80:80"
    volumes:
      - "./dev-bin:/opt/zaaksysteem/dev-bin"
#     :delegated should not be necessary on GNU/Linux hosts
#     - "./client/src:/opt/zaaksysteem/client/src:delegated"
#     - "./frontend/zaaksysteem/src:/opt/zaaksysteem/frontend/zaaksysteem/src:delegated"
#     - "./root/tpl:/opt/zaaksysteem/root/tpl:delegated"
#     Only on macOS you will need to mount the volumes
#     - "client_coverage:/opt/zaaksysteem/client/test/jest/coverage"
#     - "client_modules:/opt/zaaksysteem/client/node_modules"
#     - "frontend_components:/opt/zaaksysteem/frontend/components"
#     - "frontend_modules:/opt/zaaksysteem/frontend/node_modules"
  apps:
      image: "registry.gitlab.com/zaaksysteem/zaaksysteem-apps:latest-dev"
      ports:
          - "80:81"
      depends_on:
          - frontend

#  es-bag:
#    image: "docker.elastic.co/elasticsearch/elasticsearch-oss:6.2.2"
#    ports:
#      - "9200:9200"
#    expose:
#      - "9200"
#    networks:
#      - "default"
#    environment:
#      - "discovery.type=single-node"
#      - "ES_JAVA_OPTS=-Xms256m -Xmx256m"
#      - "cluster.name=es-bag"
#      - "bootstrap.memory_lock=true"
#    ulimits:
#      memlock:
#        soft: -1
#        hard: -1
#    volumes:
#      - "es_bag_data:/usr/share/elasticsearch/data"

# Set a local directory for your build
# zs-queue:
#   image: "zaaksysteem/zs-queue:latest"
#   build:
#     context: ../zaaksysteem-queue
#     dockerfile: Dockerfile
volumes:
    client_coverage:
    client_modules:
    frontend_components:
    frontend_modules:
#    es_bag_data:

# Set a local directory for your build
#  zs-queue:
#    image: "zaaksysteem/zs-queue:latest"
#    build:
#      context: ../zaaksysteem-queue
#      dockerfile: Dockerfile

# vim: filetype=yaml ts=2 tw=76


# docker-compose config to create bucket to minio
# createbuckets:
#   image: minio/mc
#   depends_on:
#     - minio
#   entrypoint: >
#     /bin/sh -c "
#     /usr/bin/mc config host add myminio http://minio:9000 AKIAIOSFODNN7EXAMPLE wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY;
#     /usr/bin/mc rm -r --force myminio/dev;
#     /usr/bin/mc mb myminio/dev;
#     /usr/bin/mc policy download myminio/dev;
#     exit 0;
#     "